Subject: [lamps] Editing help with external references with kramdown / xml2rfc tools

From: Mike Ounsworth <[email-masked]>
Date: Sat, 12 Feb 2022 15:38:32 +0000

Anyone willing to help me get the syntax right for specifying external references in an I-D?

Toolchain: source (.mkd) ----kramdown-rfc2629--->  .xml  ------xml2rfc------>  .txt / .html

I have specified my references like this:

informative:
  I-D.draft-ounsworth-pq-composite-sigs-05:
  Bindel2017:
    title: "Transitioning to a quantum-resistant public key infrastructure"
    author:
      -
        ins: N. Bindel
        name: Nina Bindel
      -
        ins: U. Herath
        name: Udyani Herath
      -
        ins: M. McKague
        name: Matthew McKague
      -
        ins: D. Stebila
        name: Douglas Stebila
    date: 2017

normative:
  RFC1421:
  RFC2119:
  RFC2986:
  RFC4210:
  RFC4648:
  RFC5280:
  RFC5652:
  RFC5958:
  RFC7468:
  RFC8174:
  RFC8411:
  X.690:
      title: "Information technology - ASN.1 encoding Rules: Specification of Basic Encoding Rules (BER), Canonical Encoding Rules (CER) and Distinguished Encoding Rules (DER)"
      date: November 2015
      author:
        org: ITU-T
      seriesinfo:
        ISO/IEC: 8825-1:2015

The normatives all render fine.

The informatives are completely absent in the rendered .txt and .html.

The kramdown-rfc2629 tool is placing them in the .xml intermediate like this:

    <references title='Normative References'>

&RFC1421;
&RFC2119;
&RFC2986;
&RFC4210;
&RFC4648;
&RFC5280;
&RFC5652;
&RFC5958;
&RFC7468;
&RFC8174;
&RFC8411;
<reference anchor="X.690" >
  <front>
    <title>Information technology - ASN.1 encoding Rules: Specification of Basic Encoding Rules (BER), Canonical Encoding Rules (CER) and Distinguished Encoding Rules (DER)</title>
    <author >
      <organization>ITU-T</organization>
    </author>
    <date year="2015" month="November"/>
  </front>
  <seriesInfo name="ISO/IEC" value="8825-1:2015"/>
</reference>

    </references>

    <references title='Informative References'>

&I-D.draft-ounsworth-pq-composite-sigs-05;
<reference anchor="Bindel2017" >
  <front>
    <title>Transitioning to a quantum-resistant public key infrastructure</title>
    <author initials="N." surname="Bindel" fullname="Nina Bindel">
      <organization></organization>
    </author>
    <author initials="U." surname="Herath" fullname="Udyani Herath">
      <organization></organization>
    </author>
    <author initials="M." surname="McKague" fullname="Matthew McKague">
      <organization></organization>
    </author>
    <author initials="D." surname="Stebila" fullname="Douglas Stebila">
      <organization></organization>
    </author>
    <date year="2017"/>
  </front>
</reference>

    </references>

but xml2rfc gives me this warning and then they don't appear at all in the rendered .txt and .html

Warning: No <xref> in <rfc> targets <reference anchor='RFC1421'>
Warning: No <xref> in <rfc> targets <reference anchor='RFC4648'>
Warning: No <xref> in <rfc> targets <reference anchor='I-D.ounsworth-pq-composite-sigs'>
Warning: No <xref> in <rfc> targets <reference anchor='Bindel2017'>

Anyone have an idea what I'm doing wrong here?

- - -
Mike Ounsworth
Software Security Architect
(pronouns: he/him)
O: +1-613-270-2873

Any email and files/attachments transmitted with it are confidential and are intended solely for the use of the individual or entity to whom they are addressed. If this message has been sent to you in error, you must not copy, distribute or disclose of the information it contains. Please notify Entrust immediately and delete the message from your system.

---

From: Daniel Migault <[email-masked]>
Date: Sat, 12 Feb 2022 17:53:06 +0000

This might be what you are looking at:

informative:
  UNBOUND-ANCHOR:
    author:
    target: https://nlnetlabs.nl/documentation/unbound/unbound-anchor/
    title: unbound-anchor - Unbound anchor utility
  ENT:
    author:
      name: Vincent Levigneron
    target: https://indico.dns-oarc.net/event/25/contributions/403/attachments/378/647/AFNIC_OARC_Dallas.pdf
    title: ENT was here !!!

https://github.com/mglt/draft-mglt-dnsop-dnssec-validator-requirements/edit/master/draft-ietf-dnsop-dnssec-validator-requirements.mkd

________________________________________
From: Spasm <[email-masked]> on behalf of Mike Ounsworth <Mike.Ounsworth=[email-masked]>
Sent: Saturday, February 12, 2022 10:38 AM
To: 'LAMPS'
Subject: [lamps] Editing help with external references with kramdown / xml2rfc tools

informative:

normative:
  RFC1421:
  RFC2119:
  RFC2986:
  RFC4210:
  RFC4648:
  RFC5280:
  RFC5652:
  RFC5958:
  RFC7468:
  RFC8174:
  RFC8411:
  X.690:

&RFC1421;
&RFC2119;
&RFC2986;
&RFC4210;
&RFC4648;
&RFC5280;
&RFC5652;
&RFC5958;
&RFC7468;
&RFC8174;
&RFC8411;

    </references>

    </references>

but xml2rfc gives me this warning and then they don’t appear at all in the rendered .txt and .html

Anyone have an idea what I’m doing wrong here?

- - -
Mike Ounsworth

---

From: Mike Ounsworth <[email-masked]>
Date: Sat, 12 Feb 2022 21:08:54 +0000

Got it working! 
Thank you for the example to copy!

(I also have to shamefully admit that I either had too much or not enough coffee this morning because I had one draft open in my IDE / terminal and a completely different draft open in firefox, so of course the changes were not showing in the html / txt)

---
Mike Ounsworth

-----Original Message-----
From: Daniel Migault <daniel.migault=[email-masked]> 
Sent: February 12, 2022 11:53 AM
To: Mike Ounsworth <[email-masked]>; 'LAMPS' <[email-masked]>
Subject: [EXTERNAL] Re: Editing help with external references with kramdown / xml2rfc tools

WARNING: This email originated outside of Entrust.
DO NOT CLICK links or attachments unless you trust the sender and know the content is safe.

______________________________________________________________________
This might be what you are looking at:

informative:
  UNBOUND-ANCHOR:
    author:
    target: https://urldefense.com/v3/__https://nlnetlabs.nl/documentation/unbound/unbound-anchor/__;!!FJ-Y8qCqXTj2!KZ-nEE9XQBabc6gdQJcO713jD7p91gwFVFgxNj6QjTSIuprcGDZ5wEjzuAXRG4DUbjPg$ 
    title: unbound-anchor - Unbound anchor utility
  ENT:
    author:
      name: Vincent Levigneron
    target: https://urldefense.com/v3/__https://indico.dns-oarc.net/event/25/contributions/403/attachments/378/647/AFNIC_OARC_Dallas.pdf__;!!FJ-Y8qCqXTj2!KZ-nEE9XQBabc6gdQJcO713jD7p91gwFVFgxNj6QjTSIuprcGDZ5wEjzuAXRG2wL8wwO$ 
    title: ENT was here !!!

https://urldefense.com/v3/__https://github.com/mglt/draft-mglt-dnsop-dnssec-validator-requirements/edit/master/draft-ietf-dnsop-dnssec-validator-requirements.mkd__;!!FJ-Y8qCqXTj2!KZ-nEE9XQBabc6gdQJcO713jD7p91gwFVFgxNj6QjTSIuprcGDZ5wEjzuAXRGxil2Lvb$ 

informative:

normative:
  RFC1421:
  RFC2119:
  RFC2986:
  RFC4210:
  RFC4648:
  RFC5280:
  RFC5652:
  RFC5958:
  RFC7468:
  RFC8174:
  RFC8411:
  X.690:

&RFC1421;
&RFC2119;
&RFC2986;
&RFC4210;
&RFC4648;
&RFC5280;
&RFC5652;
&RFC5958;
&RFC7468;
&RFC8174;
&RFC8411;
  <seriesInfo name="ISO/IEC" value="8825-1:2015"/> </reference>

    </references>

    </references>

- - -
Mike Ounsworth